<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- design_studio_001 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" summary="" class="main-bg" style="width: 100%; height: 100%; background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
	<tr>
		<td style="background-image: url('images/header_l.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/header_r.jpg'); background-position: top right; background-repeat: no-repeat;">
				<tr>
					<td style="padding: 0 90px 0 74px;">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" style="width: 100%; height: 100%;" summary="">
	<TR>
		<TD colspan="2" height="123">
		<!-- LOGO -->
			<table cellpadding="0" cellspacing="0" summary="">
				<tr>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" style="margin-left: 5px;"/></a></td>
				</tr>
				<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
			</table>
		<!-- END LOGO -->
		</TD>
	</TR>
	<TR valign="top">
		<TD height="100%" width="100%" name="SB_stretch" class="bg" style="background-image: url('images/bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%;">
				<tr>
					<td height="133">
						<!-- MENU -->
						<table cellpadding="0" cellspacing="0" border="0" align="center" summary="" style="height: 133px;">
							<tr>
								<xsl:call-template name="TOP-MENU"/>
							</tr>
						</table>
						<!-- END MENU -->
					</td>
				</tr>
				<tr>
					<td height="100%" valign="top" class="pageContent" style="padding: 0 20px;">
						<!-- CONTENT -->
						<table cellpadding="0" cellspacing="0" border="0" summary="">
							<tr>
								<td class="text-header" style="background-color: white; padding: 5px;">
									<xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
								</td>
							</tr>
						</table>
						<div style="width:0px; height:15px;"><span></span></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<!-- END CONTENT -->
					</td>
				</tr>
				<tr>
					<td height="47" style="background-image: url('images/bg_bbg.gif'); background-repeat: repeat-x;">
						<table cellpadding="0" cellspacing="0" border="0" summary="" style="width: 100%; height: 100%; background-image: url('images/bg_bl.gif'); background-repeat: no-repeat;">
							<tr><td style="background-image: url('images/bg_br.gif'); background-position: right; background-repeat: no-repeat;"></td></tr>
						</table>
					</td>
				</tr>
				<tr>
					<td class="main-bg" style="padding: 10px;">
						<!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center" summary="">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!-- END BOOTTOM MENU -->
					</td>
				</tr>
			</table>
		</TD>
		<TD><div style="width:1px; height:0px;"><span></span></div></TD>
		<TD style="padding-top: 110px;">
			<!-- SUBMENU -->
			<table cellpadding="0" cellspacing="0" border="0" summary="" width="158">
				<tr><td><img src="images/submenu_tbg.gif" border="0" alt=""/></td></tr>
				<tr>
					<td bgcolor="#DCE2D5">
						<table cellpadding="0" cellspacing="0" width="100%" align="center" summary="">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
						</table>
					</td>
				</tr>
				<tr><td><img src="images/submenu_bbg.gif" border="0" alt=""/></td></tr>
			</table>
			<!-- END SUBMENU -->
		</TD>
	</TR>
	<TR><TD colspan="2" height="176"></TD></TR>
</TABLE>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr bgcolor="#EEF1EA">
				<td style="padding-left: 16px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
				<td class="asubmenu" style="padding-left: 5px; width: 100%; height: 30px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td style="padding-left: 16px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
					<td style="padding-left: 5px; width: 100%; height: 30px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 			<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="5"></td>
			<td><img src="images/bmenu_separator.gif" alt="" style="margin: 0px 5px 0px 5px;"/></td>
			<td width="5"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
